Subject: LW Platforms
From: [email-masked] (Jamie Krutz) ()
To: [email-masked]
Date: Mon, 9 Oct 95 11:29:56 MST

In article <[email-masked]> [email-masked] writes:
> 
> On Wed, 4 Oct 1995, Jamie Krutz wrote:
> 
> > Upon what direct evidence to you base the conjecture that there are 
> > 10 people running LW on Intel clones for every one on Amigas right 
> > now? 
> 
> No, I wasn't talking about "right now"...more along the lines of what 

You used the present tense in your original message which is why I
responded the way I did.

> will most likely happen over the next 6 months.  At least 3-5 new 

I hope NewTek does get a lot of new users on Intel and Alpha.
But I also hope they get a lot of new users on new AT Amigas,
and on the plentiful used Amigas in the market. 

> LightWave users subscribe to this EVERY DAY and I would be very surprised 
> to find out that the majority of them are not PC owners.

Whether you're surprised or not, if the porting of simple 
plug-ins is as easy as Chris and Ernie says it is, and since 
there is a market presense on the Amiga, and since at least 
some of the Intel and Alpha users are also using Amigas, it 
would be IMNO a good move for plug in developers to 
completely support LightWave wherever it may be running.

For plug-ins with more complex user interfaces this
will take more work, but I can only hope that complete
LW support is thought to be an important thing by 
developers. I think any splintering of the LW market is
a Bad Thing, whereas a unified multiplatform market
is a Good Thing.

> There are just a hell of a lot more PCs out there, and so, there will be 
> many more people interested in running LightWave on their PC.  "Right 

More people running LightWave is a good thing.

> Now", I'm fairly certain that the Amiga still has a slight advantage in 
> number of LightWave users, but that won't last.

But that means that right now the Amiga part of the LW market
must be significant enough that plug-in developers should take
it seriously.

> > Is it that difficult to recompile an already designed plug-in for the _same 
> > program_ that's already running on the various operating systems? 
> > Something's a bit wrong with the whole multiplatform approach of LW 
> > if that's true.
> 
> I'm not a programmer, so I wouldn't know, but I'd doubt if it's as easy 
> as just running the source through a different compiler...I hope I'm 
> wrong through.

Apparently it's fairly simple for plug-ins that don't have extensive
user interfaces, and more complex for those that do.

> > Because I use LightWave and have for a very long time, continued 
> > LightWave Amiga support still means a lot to me even when I 
> > consider adding other platforms.
> 
> Same here...I will still be running LightWave on my Amigas to model, set 
> up scenes, and test render new stuff for the Raptor to gorge itself on.

Sounds like fun! You're a good example of why plug-ins should 
support all platforms.

> Okay, that wasn't a very accurate statement...I should have said that 
> hardware for other computers is becoming more and more powerful while 
> dropping in price....

True.

> the Amiga is still a number of months (years) away 
> from a significant hardware upgrade and it's way too expensive.  This is 

060 upgrades are starting to be available now, and if you can
take an existing system and double or quadruple (or more 
depending on your current setup) the speed with an 060, that's
nothing to scoff at. 060 cards cost 1000-1300 dollars now.
Such an upgrade allows continued use of the AmigaOS which 
still has some advantages.

Also faster graphics cards are coming out, and there are
folks working on other hardware enhancements. There's also 
a notable amount of ongoing software development continuing 
to happen for the Amiga.

> true for a lot of other Amiga hardware....try setting up an Ethernet 
> network on your machines.

It's trivial to set up an ethernet network between Amigas. I haven't
tried setting up a network between a variety of other platforms, but 
with tcp/ip it's possible to get data access between various platforms.
 
> Software for the Amiga is a different story....Amiga programs have always 
> been inexpensive and this was one of the things that made the Amiga 
> great, but it's also one of the things that killed the market so quickly. 
> Companies that were making miniscule profits on their hard work to begin 
> with, cut their losses and ran at the first sign of trouble from Commodore.

There's plenty of blame to go around. We'd better take this topic out of
the list since it's getting pretty far from LightWave and I'm sure we
could all go into lengthy digressions on this one.  :^)

> I still own 4 Amigas, two of them never 
> get shut off, and I'd love to see some new cutting-edge hardware come out 
> for them!

Agreed. 

My last point is this. Platform changes and hardware changes will be a 
continued process in the foreseeable future. How NewTek and other
developers handle the Amiga situation is a barometer for how they
will handle ports to the next whiz bang box. I hope a unified, integrated
philosophy wins out. I think the market and the LW community will be
best served by an attitude that we are all working in LW, rather than
one which says these folks work in LW-X, these folks in LW-Y, and
these folks in LW-Z. A cohesive LW just seems to me to have a better
future than a splintered LW.

Best Regards,
 -Jamie

--
[email-masked] (Jamie Krutz) () sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]